
%define lib_major_qtc	1
%define lib_qtc	%mklibname qtc %{lib_major_qtc}

%define lib_major_qtsharp	0
%define lib_qtsharp	%mklibname qtsharp %{lib_major_qtsharp}

%define lib_major_kdec	1
%define lib_kdec	%mklibname kdec %{lib_major_kdec}



Name:		kdebindings
Summary: 	Kdebindings
Version: 	3.1.3
Release: 	1mdk
URL:		http://www.kde.org/
Source0: 	%name-%version.tar.bz2

Patch1:		kdebinding-3.0.2-fix-qtc2.patch.bz2
Patch2:		kdebinding-3.0.2-fix-qtc.patch.bz2
Patch3:		kdebindings-3.0.2-fix-gcc-3.2-compile.patch.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root

BuildRequires:  XFree86-static-libs
BuildRequires:  gettext 
BuildRequires:	kdelibs-devel
BuildRequires:	libbzip2_1-devel
BuildRequires:  libgtk+1.2-devel
BuildRequires:  libbinutils2
BuildRequires:  libtermcap2
BuildRequires:  python-devel
BuildRequires:	texinfo
BuildRequires:	pnet
BuildRequires:	pnetlib
BuildRequires:	mono
#BuildRequires:	mozilla-devel

%description
kdebindings


%package -n qtc
Summary:	Qt bindings for C.
Group:		Development/KDE and Qt

%description -n qtc
This package provides Qt bindings for C.

%package -n %{lib_qtc}
Summary:	Qt bindings for C.
Group:		Development/KDE and Qt

%description -n %{lib_qtc}
This package provides Qt bindings for C.

%package -n %{lib_qtc}-devel
Summary:	Header files for libqtc.
Group:		Development/KDE and Qt
Requires:	%{lib_qtc} = %version-%release
Provides:	libqtc-devel = %version-%release

%description -n %{lib_qtc}-devel
Header files for libqtc.

%package -n qtsharp
Summary:	Qt bindings for C#.
Group:		Development/KDE and Qt
Requires:	libqtsharp0

%description -n qtsharp
This package provides Qt bindings for C#.

%package -n %{lib_qtsharp}
Summary:	Qt bindings for C#.
Group:		Development/KDE and Qt

%description -n %{lib_qtsharp}
This package provides Qt bindings for C#.

%package -n %{lib_qtsharp}-devel
Summary:	Header files for libqtc#.
Group:		Development/KDE and Qt
Requires:	%{lib_qtsharp} = %version-%release
Provides:	libqtsharp-devel = %version-%release

%description -n %{lib_qtsharp}-devel
Header files for libqtc#.

#%package -n kdec
#Summary:	KDE bindings for C.
#Group:		Development/KDE and Qt

#%description -n kdec
#This package provides KDE bindings for C.

#%package -n %{lib_kdec}
#Summary:	KDE bindings for C.
#Group:		Development/KDE and Qt

#%description -n %{lib_kdec}
#This package provides KDE bindings for C.

#%package -n %{lib_kdec}-devel
#Summary:	Header files for libkdec.
#Group:		Development/KDE and Qt
#Requires:	%{lib_kdec} = %version-%release
#Provides:	libkdec-devel = %version-%release

#%description -n %{lib_kdec}-devel
#Header files for libkdec.


%prep
%setup -q
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
#make -f Makefile.cvs
export QTDIR="/usr/lib/qt3"

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
    ./configure --prefix=%_prefix \
				--build=%_target_platform \
				--host=%_target_platform \
				--disable-debug \
				--enable-final \
				--enable-shared \
				--disable-static \
				--disable-objprelink \
				--with-xinerama \
				--enable-mt \
				--disable-rpath \
				--without-java

# Don't compile smoke (need...more...memory...)
perl -pi -e 's/smoke / /g' Makefile
# Don't compile dcopc untill someone requests it
# Is it needed by qtc or kdec?
perl -pi -e 's/dcopc / /g' Makefile
# Don't compile kjsembed untill someone requests it
perl -pi -e 's/kjsembed / /g' Makefile
# Don't compile kmozilla or xpart_notepad untill someone requests it
perl -pi -e 's/xparts / /g' Makefile
# kdec compile is broken since gcc-3.3.1-0.6mdk
perl -pi -e 's/kdec/ /g' Makefile


make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

make install prefix=%buildroot/%_prefix

# Generate a wrapper script
rm %buildroot/%_bindir/uicsharp
echo \#\!/bin/bash > $RPM_BUILD_ROOT%{_bindir}/uicsharp
echo "%{_bindir}/mono %{_bindir}/uicsharp.exe" >> $RPM_BUILD_ROOT%{_bindir}/uicsharp
chmod 755 $RPM_BUILD_ROOT%{_bindir}/uicsharp


%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi


%post -n %{lib_qtc} -p /sbin/ldconfig
%post -n %{lib_qtsharp} -p /sbin/ldconfig

%postun -n %{lib_qtc} -p /sbin/ldconfig
%postun -n %{lib_qtsharp} -p /sbin/ldconfig


%files -n qtc
%defattr(-,root,root)
%doc qtc/AUTHORS
%_bindir/clib

%files -n %{lib_qtc}
%defattr(-,root,root)
%_libdir/libqtc.so.*

%files -n %{lib_qtc}-devel
%defattr(-,root,root)
%_libdir/libqtc.so
%_libdir/libqtc.*a

%files -n qtsharp
%defattr(-,root,root)
%doc qtsharp/AUTHORS qtsharp/TODO
%_bindir/uicsharp*
%dir %_datadir/apps/qtcsharp
# should this be part of qtsharp or libqtsharp?
%_libdir/Qt.dll
%_datadir/apps/qtcsharp/*

%files -n %{lib_qtsharp}
%defattr(-,root,root)
%_libdir/libqtsharp.so.*

%files -n %{lib_qtsharp}-devel
%defattr(-,root,root)
%_libdir/libqtsharp.so
%_libdir/libqtsharp.*a

#%files -n kdec
#%defattr(-,root,root)
#%doc kdec/AUTHORS
#%_bindir/clib

#%files -n %{lib_kdec}
#%defattr(-,root,root)
#%_libdir/libkdec.so.*

#%files -n %{lib_kdec}-devel
#%defattr(-,root,root)
#%_libdir/libkdec.so
#%_libdir/libkdec.*a


%changelog
* Thu Jul 31 2003 Marcel Pol <mpol@gmx.net> 3.1.3-1mdk
- resurrect from the dead into contrib
- removed distro specific options
- buildrequires
- only compile qtc and qtsharp
- don't compile kdec for now, compile breaks since gcc-3-3-1-0.6mdk
- libpolicy/mklibname

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2
- Add patch1/patch2 fix qtc compile with qt
- Add patch3 fix gcc-3.2 compile.

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-6mdk
- Enable 8.3 support
- Disable -fomit-frame-pointer on all supported %%ix86 architectures
- Fix BuildRequires for PPC (8.2 and 8.3)

* Fri Feb 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-5mdk
- Rebuild

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-4mdk
- Fix ./configure on all supported distributions
- 8.2: don't build static libraries
- Fix Group: on all supported distributions

* Fri Dec 07 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-3mdk
- made rpmlint happy

* Mon Dec 03 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Remove objprelink

* Thu Nov 15 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Tue Sep 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Official updates for Linux-Mandrake 7.2 and 8.0
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Sat Sep 21 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Remove update-menu/clean-menu (there is not menu file in this package)

* Wed Sep 19 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix build requires

* Fri Aug 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Rebuild with new kdelibs

* Wed Aug 08 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Rewrite %%files sections

* Tue May 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
